# Rails Markdown Handler

### Adds markdown template handling to rails using the
[Redcarpet](https://github.com/vmg/redcarpet) gem.

RailsMarkdownHandler will also parses ERB and embeded HTML.

## Installation

```
gem "rails_markdown_handler"
```

```
$ bundle install
```

## Usage

```ruby
# app/config/routes.rb
get "/example", to: "pages#example"
```

```ruby
# app/controllers/pages_controller.rb
class PagesController < ApplicationController
  def example
  end
end
```

```md
app/views/pages/example.md
## This is an example
```

## Configuration

You can configure the redcarpet renderer using an initializer.
```ruby
# app/config/initializers/markdown.rb
RailsMarkdownHandler.configure do |config|
  config[:autolink] = false
end
```
